<?php
/**
 * Copyright (C) 2014-2017 ServMask Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * ███████╗███████╗██████╗ ██╗   ██╗███╗   ███╗ █████╗ ███████╗██╗  ██╗
 * ██╔════╝██╔════╝██╔══██╗██║   ██║████╗ ████║██╔══██╗██╔════╝██║ ██╔╝
 * ███████╗█████╗  ██████╔╝██║   ██║██╔████╔██║███████║███████╗█████╔╝
 * ╚════██║██╔══╝  ██╔══██╗╚██╗ ██╔╝██║╚██╔╝██║██╔══██║╚════██║██╔═██╗
 * ███████║███████╗██║  ██║ ╚████╔╝ ██║ ╚═╝ ██║██║  ██║███████║██║  ██╗
 * ╚══════╝╚══════╝╚═╝  ╚═╝  ╚═══╝  ╚═╝     ╚═╝╚═╝  ╚═╝╚══════╝╚═╝  ╚═╝
 */

class Ai1wmfe_Import_Controller {

	public static function button() {
		return Ai1wm_Template::get_content(
			'import/button',
			array(
				'type'       => get_option( 'ai1wmfe_ftp_type' ),
				'connection' => get_option( 'ai1wmfe_ftp_connection' ),
			),
			AI1WMFE_TEMPLATES_PATH
		);
	}

	public static function picker() {
		Ai1wm_Template::render(
			'import/picker',
			array(),
			AI1WMFE_TEMPLATES_PATH
		);
	}

	public static function folder() {
		// Set client
		$ftp = ServMaskClientFactory::create(
			get_option( 'ai1wmfe_ftp_type' ),
			get_option( 'ai1wmfe_ftp_hostname' ),
			get_option( 'ai1wmfe_ftp_authentication' ),
			get_option( 'ai1wmfe_ftp_username' ),
			get_option( 'ai1wmfe_ftp_password' ),
			get_option( 'ai1wmfe_ftp_key' ),
			get_option( 'ai1wmfe_ftp_passphrase' ),
			get_option( 'ai1wmfe_ftp_directory' ),
			get_option( 'ai1wmfe_ftp_port' ),
			get_option( 'ai1wmfe_ftp_passive' )
		);

		// Set folder name
		$folder_name = null;
		if ( isset( $_GET['folderName'] ) ) {
			$folder_name = $_GET['folderName'];
		}

		// Get files and directories
		$items = $ftp->listFolder( $folder_name );

		// Sort entries by date desc
		usort( $items, 'self::sort_by_date_desc' );

		// Set folder structure
		$response = array( 'items' => array() );

		// Set folder items
		foreach ( $items as $item ) {
			$response['items'][] = array(
				'size'  => isset( $item['size'] ) ? $item['size'] : null,
				'date'  => isset( $item['date'] ) ? human_time_diff( $item['date'] ) : null,
				'name'  => isset( $item['name'] ) ? $item['name'] : null,
				'path'  => isset( $item['path'] ) ? $item['path'] : null,
				'bytes' => isset( $item['bytes'] ) ? $item['bytes'] : null,
				'type'  => isset( $item['type'] ) ? $item['type'] : null,
			);
		}

		echo json_encode( $response );
		exit;
	}

	public static function sort_by_date_desc( $first_backup, $second_backup ) {
		return intval( $second_backup['date'] ) - intval( $first_backup['date'] );
	}
}
