<?php
/**
 * Copyright (C) 2014-2017 ServMask Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * ███████╗███████╗██████╗ ██╗   ██╗███╗   ███╗ █████╗ ███████╗██╗  ██╗
 * ██╔════╝██╔════╝██╔══██╗██║   ██║████╗ ████║██╔══██╗██╔════╝██║ ██╔╝
 * ███████╗█████╗  ██████╔╝██║   ██║██╔████╔██║███████║███████╗█████╔╝
 * ╚════██║██╔══╝  ██╔══██╗╚██╗ ██╔╝██║╚██╔╝██║██╔══██║╚════██║██╔═██╗
 * ███████║███████╗██║  ██║ ╚████╔╝ ██║ ╚═╝ ██║██║  ██║███████║██║  ██╗
 * ╚══════╝╚══════╝╚═╝  ╚═╝  ╚═══╝  ╚═╝     ╚═╝╚═╝  ╚═╝╚══════╝╚═╝  ╚═╝
 */

class Ai1wmfe_Export_FTP {

	public static function execute( $params ) {

		// Set progress
		if ( get_option( 'ai1wmfe_ftp_type' ) === 'sftp' ) {
			Ai1wm_Status::info( __( 'Connecting to SFTP server...', AI1WMFE_PLUGIN_NAME ) );
		} else {
			Ai1wm_Status::info( __( 'Connecting to FTP server...', AI1WMFE_PLUGIN_NAME ) );
		}

		// Open archive file
		$archive = new Ai1wm_Compressor( ai1wm_archive_path( $params ) );

		// Append EOF block
		$archive->close( true );

		// Set client
		$ftp = ServMaskClientFactory::create(
			get_option( 'ai1wmfe_ftp_type' ),
			get_option( 'ai1wmfe_ftp_hostname' ),
			get_option( 'ai1wmfe_ftp_authentication' ),
			get_option( 'ai1wmfe_ftp_username' ),
			get_option( 'ai1wmfe_ftp_password' ),
			get_option( 'ai1wmfe_ftp_key' ),
			get_option( 'ai1wmfe_ftp_passphrase' ),
			get_option( 'ai1wmfe_ftp_directory' ),
			get_option( 'ai1wmfe_ftp_port' ),
			get_option( 'ai1wmfe_ftp_passive' )
		);

		// Create folder
		$ftp->createFolder( ai1wm_archive_folder() );

		// Set progress
		if ( get_option( 'ai1wmfe_ftp_type' ) === 'sftp' ) {
			Ai1wm_Status::info( __( 'Uploading to SFTP server...', AI1WMFE_PLUGIN_NAME ) );
		} else {
			Ai1wm_Status::info( __( 'Uploading to FTP server...', AI1WMFE_PLUGIN_NAME ) );
		}

		return $params;
	}
}
