<?php
/**
 * Copyright (C) 2014-2017 ServMask Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * ███████╗███████╗██████╗ ██╗   ██╗███╗   ███╗ █████╗ ███████╗██╗  ██╗
 * ██╔════╝██╔════╝██╔══██╗██║   ██║████╗ ████║██╔══██╗██╔════╝██║ ██╔╝
 * ███████╗█████╗  ██████╔╝██║   ██║██╔████╔██║███████║███████╗█████╔╝
 * ╚════██║██╔══╝  ██╔══██╗╚██╗ ██╔╝██║╚██╔╝██║██╔══██║╚════██║██╔═██╗
 * ███████║███████╗██║  ██║ ╚████╔╝ ██║ ╚═╝ ██║██║  ██║███████║██║  ██╗
 * ╚══════╝╚══════╝╚═╝  ╚═╝  ╚═══╝  ╚═╝     ╚═╝╚═╝  ╚═╝╚══════╝╚═╝  ╚═╝
 */

class Ai1wmfe_Import_Database {

	public static function execute( $params ) {

		// Set progress
		Ai1wm_Status::info( __( 'Updating FTP settings...', AI1WMFE_PLUGIN_NAME ) );

		// Set FTP type
		update_option( 'ai1wmfe_ftp_type', $params['ftp_type'] );

		// Set FTP hostname
		update_option( 'ai1wmfe_ftp_hostname', $params['ftp_hostname'] );

		// Set FTP username
		update_option( 'ai1wmfe_ftp_username', $params['ftp_username'] );

		// Set FTP password
		update_option( 'ai1wmfe_ftp_password',$params['ftp_passworwd'] );

		// Set FTP directory
		update_option( 'ai1wmfe_ftp_directory', $params['ftp_directory'] );

		// Set FTP port
		update_option( 'ai1wmfe_ftp_port', $params['ftp_port'] );

		// Set FTP passive mode
		update_option( 'ai1wmfe_ftp_passive', $params['ftp_passive'] );

		// Unset FTP type
		unset( $params['ftp_type'] );

		// Unset FTP hostname
		unset( $params['ftp_hostname'] );

		// Unset FTP username
		unset( $params['ftp_username'] );

		// Unset FTP password
		unset( $params['ftp_passworwd'] );

		// Unset FTP directory
		unset( $params['ftp_directory'] );

		// Unset FTP port
		unset( $params['ftp_port'] );

		// Unset FTP passive mode
		unset( $params['ftp_passive'] );

		// Set progress
		Ai1wm_Status::info( __( 'Done updating FTP settings.', AI1WMFE_PLUGIN_NAME ) );

		return $params;
	}
}
