<?php
/**
 * Copyright (C) 2014-2017 ServMask Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * ███████╗███████╗██████╗ ██╗   ██╗███╗   ███╗ █████╗ ███████╗██╗  ██╗
 * ██╔════╝██╔════╝██╔══██╗██║   ██║████╗ ████║██╔══██╗██╔════╝██║ ██╔╝
 * ███████╗█████╗  ██████╔╝██║   ██║██╔████╔██║███████║███████╗█████╔╝
 * ╚════██║██╔══╝  ██╔══██╗╚██╗ ██╔╝██║╚██╔╝██║██╔══██║╚════██║██╔═██╗
 * ███████║███████╗██║  ██║ ╚████╔╝ ██║ ╚═╝ ██║██║  ██║███████║██║  ██╗
 * ╚══════╝╚══════╝╚═╝  ╚═╝  ╚═══╝  ╚═╝     ╚═╝╚═╝  ╚═╝╚══════╝╚═╝  ╚═╝
 */

class Ai1wmfe_Import_Settings {

	public static function execute( $params ) {

		// Set progress
		Ai1wm_Status::info( __( 'Getting FTP settings...', AI1WMFE_PLUGIN_NAME ) );

		// Set FTP type
		$params['ftp_type'] = get_option( 'ai1wmfe_ftp_type' );

		// Set FTP hostname
		$params['ftp_hostname'] = get_option( 'ai1wmfe_ftp_hostname' );

		// Set FTP username
		$params['ftp_username'] = get_option( 'ai1wmfe_ftp_username' );

		// Set FTP password
		$params['ftp_passworwd'] = get_option( 'ai1wmfe_ftp_password' );

		// Set FTP directory
		$params['ftp_directory'] = get_option( 'ai1wmfe_ftp_directory' );

		// Set FTP port
		$params['ftp_port'] = get_option( 'ai1wmfe_ftp_port' );

		// Set FTP passive mode
		$params['ftp_passive'] = get_option( 'ai1wmfe_ftp_passive' );

		// Set progress
		Ai1wm_Status::info( __( 'Done getting FTP settings.', AI1WMFE_PLUGIN_NAME ) );

		return $params;
	}
}
